#include <stdlib.h>
#include <unistd.h>
#include <stdio.h>
#include <string.h>
#include <sys/wait.h>

// Programma che implementi una shell con il comando da eseguire
// competo di parametri, passato al programma dagli argomenti.

int main(int argc, char *argv[]) {
        if (argc < 2) {
                perror("Piu di 1 argomento");
                return -1;
        }

        pid_t pid = fork();
        if (pid < 0) {
                perror("Errore, fai schifo.");
                return -1;
        }


        if (pid == 0) { // Figlio
                char* arg[argc];
                for (int i = 0; i < argc ; i++) {
                        arg[i] = argv[i+1];
                }
                execvp(arg[0], arg);
                return 0;
        }
        if (pid > 0) {  // Padre
                wait(NULL);
                printf("Programma Terminato\n");
        }

        return 0;
}
